package com.huimv.farm.piglet.repo;

import com.huimv.farm.piglet.domain.count.DeviceStatusInformation;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

public interface DeviceStatusInformationRepository extends JpaRepository<DeviceStatusInformation, Integer> {

    @Query(nativeQuery = true , value = "SELECT * FROM device_status_information WHERE instr(id, ?1) > 0 OR instr(device_id, ?1) > 0 OR instr(device_name, ?1) > 0 order by ?#{#pageable}")
    Page<DeviceStatusInformation> findBySearchStr(String s, Pageable pageable);
}
