package com.huimv.farm.piglet.repo;

import com.huimv.farm.piglet.domain.FarrowingHouse;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

public interface FarrowingHouseRepository extends JpaRepository<FarrowingHouse, Integer> {

    List<Integer> findIdByBuildingId(Integer building);

    Page<FarrowingHouse> findByNameContaining(String name, Pageable pageable);
}
